Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

billing_period_from__from
string<date>

Billing period from (inclusive)

billing_period_to__to
string<date>

Billing period to (inclusive)

client_id
number

Filter by client ID

currency
string

Filter by currency code

invoice_date__from
string<date>

Invoice date from (inclusive)

invoice_date__to
string<date>

Invoice date to (inclusive)

limit
integer

Number of results to return per page. Maximum is 100. Default is 20.

move_type
enum<string>

Filter by move type: out_invoice or out_refund

  • out_invoice - out_invoice
  • out_refund - out_refund
Available options:
out_invoice,
out_refund
offset
integer

The initial index from which to return the results.

order_by
enum<string>[]

Ordering of the results.

For ascending sort order use field.asc, for descending sort order use field.desc.

For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.

Final stable tiebreak ordering is added except when pk sorting used.

  • id.asc - Id
  • id.desc - Id (descending)
  • invoice_date.asc - Invoice date
  • invoice_date.desc - Invoice date (descending)
  • amount_total.asc - Amount total
  • amount_total.desc - Amount total (descending)
  • created_at.asc - Created at
  • created_at.desc - Created at (descending)
  • name.asc - Name
  • name.desc - Name (descending)
Available options:
amount_total.asc,
amount_total.desc,
created_at.asc,
created_at.desc,
id.asc,
id.desc,
invoice_date.asc,
invoice_date.desc,
name.asc,
name.desc
ordering
enum<string>[]

Ordering of the results.

This field is left for compatibility and can be deprecated in future versions. Use order_by instead.

Default sort order is ascending. Put - before value for descending sort order: -id.

For sorting by multiple parameters write them as comma separated string: -client_id,id.

Final stable tiebreak ordering is added except when pk sorting used.

  • id - Id
  • -id - Id (descending)
  • invoice_date - Invoice date
  • -invoice_date - Invoice date (descending)
  • amount_total - Amount total
  • -amount_total - Amount total (descending)
  • created_at - Created at
  • -created_at - Created at (descending)
  • name - Name
  • -name - Name (descending)
Available options:
-amount_total,
-created_at,
-id,
-invoice_date,
-name,
amount_total,
created_at,
id,
invoice_date,
name
payer_id
number

Filter by payer ID

payment_state
enum<string>

Filter by payment state

  • not_paid - not_paid
  • paid - paid
  • partial - partial
  • reversed - reversed
  • in_payment - in_payment
Available options:
in_payment,
not_paid,
paid,
partial,
reversed

Response

Request successful.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"